
|instClass installWebTools|

installWebTools := false.
Preferences disable: #showDeprecationWarnings.

instClass := Smalltalk at: #Installer ifAbsent: [ScriptLoader loadLatestPackage: 'Installer-Core' fromSqueaksource: 'Installer'. Smalltalk at: #Installer].

instClass ss
	  project: 'RoelTyper';
	  install: 'RoelTyper-'.

instClass ss
	project: 'NewInspector';
	install: 'NewInspector'. "no override in version NewInspector-PF.34"

instClass ss
	project: 'rb';
	install: 'AST-Core';
	install: 'Refactoring-Core';
	install: 'Refactoring-Spelling'.

instClass wiresong
	  project: 'ob';
	  install: 'OmniBrowser-cwp.453';
	  install: 'OB-Morphic';
	  install: 'OB-Standard';
	  install: 'OB-Refactory';
	  install: 'OB-Regex';
	  install: 'OB-SUnitIntegration';
	  install: 'OB-Shout'.

instClass ss
	project: 'EnhancedOB';
	install: 'OmniBrowser2';
	install: 'O2-Standard';
	install: 'O2-Morphic';
	install: 'O2-Enhancements';
	install: 'OCForO2';
	install: 'O2-Refactory'.

instClass ss
	project: 'shout';
	install: 'Shout.3.15-damiencassou.73'; "no override in version 73"
	install: 'ShoutWorkspace.1-tween'. "no override in version 4"

instClass ss
	project: 'OCompletion';
        answer:  'list of packages' with: 'Kernel* Collection*';
	install: 'Ocompletion';
	install: 'OCForOB'.

instClass ss
	project: 'Nile';
	install: 'Nile-All'.

instClass ss
	project: 'autoMethodCat';
	install: 'AutomaticMethodCategorizer';
	install: 'AutomaticMethodCategorizerOB'.

instClass ss
	  project: 'PharoMorphicExtras';
	  install: 'MorphExamplesAndDemos';
	  install: 'LED'.

instClass ss
	  project: 'PharoSound';
	  install: 'Sound';
	  install: 'SoundMorphicUserInterface'.

installWebTools ifTrue: [

	instClass ss
		project: 'KomHttpServer';
		install: 'DynamicBindings';
		install: 'KomServices';
		install: 'KomHttpServer'.
	
	instClass ss
		project: 'Seaside';
		answer: '.*username.*' with: 'admin';
		answer: '.*password.*' with: 'seaside';
		install: 'Seaside2.8a1-lr.594';
		install: 'Scriptaculous-lr.250'.

 	instClass lukas
		  project: 'slime';
		  install: 'Slime'.

	instClass ss
		project: 'rsrss';
		install: 'RSRSS2'.

	instClass lukas
		project: 'magritte';
		install: 'Magritte-All'.

	instClass lukas
		project: 'pier';
		answer:  'Would you like.*' with: true;
		answer:  '.*name of your Pier kernel.*' with: 'Pier';
		answer:  '.*entry point.*' with: 'pier';
		answer:  '.*port number.*' with: '8080';
		installQuietly: 'Pier-All';
		install: 'Pier-Squeak-Persistency'.

	instClass lukas
		project: 'pieraddons';
		install: 'Pier-Design';
		install: 'Pier-Documents';
		install: 'Pier-EditorEnh';
		install: 'Pier-Google';
		install: 'Pier-LightBox';
		answer:  '.*SlideShare.*' with: '';
		install: 'Pier-Links';
		install: 'Pier-Randomizer';
		install: 'Pier-Setup';
		install: 'Pier-SyntaxHighlighter';
		install: 'Pier-TagCloud';
		install: 'Pier-Titles';
		install: 'Pier-Twitter';
		install: 'Sitemap'.

	instClass lukas
		project: 'unsorted';
		install: 'RFB'.

	(Smalltalk classNamed: #PRDistribution) new register.
].

FreeTypeFontProvider current updateFromSystem.
		
font := LogicalFont familyName: 'DejaVu Sans' pointSize: 10.
codeFont := LogicalFont familyName: 'DejaVu Sans Mono' pointSize: 9.
titleFont := LogicalFont familyName: 'DejaVu Sans' pointSize: 11.

Preferences
	setListFontTo: font;
	setMenuFontTo: font;
	setCodeFontTo: codeFont;
	setButtonFontTo: font;
	setSystemFontTo: font;
	setWindowTitleFontTo: titleFont.

Preferences
	disable: #annotationPanes;
	disable: #allwaysShowVScrollBar;
	enable: #alternativeButtonsInScrollBars;
	disable: #fadedBackgroundWindows;
	disable: #fastDragWindowForMorphic;
	disable: #fullScreenLeavesDeskMargins;
	enable: #generalizedYellowButtonMenu;
	enable: #mouseClickForKeyboardFocus;	
	enable: #noWindowAnimationForClosing;
	disable: #scrollBarsNarrow;
	disable: #scrollBarsWithoutMenuButton;
	disable: #showSplitterHandles;
	disable: #syntaxHighlightingAsYouTypeAnsiAssignment;
	enable: #showTextEditingState;
	disable: #windowAnimation;
	setPreference: #GlyphContrast toValue: 55;
	disable: #roundedWindowCorners;
	disable: #roundedMenuCorners.

UIThemeStandardSqueak beCurrent.
UIThemeWatery2 beCurrent.
	
instClass ss
	project: 'ImageForDevelopers';
	install: 'ImageForDevelopers-pharo'.

(Smalltalk classNamed: #DEVImageCreator) default install.

SystemBrowser default: (Smalltalk classNamed: #OBSystemBrowserAdaptor).

Preferences enable: #showDeprecationWarnings.

SmalltalkImage current snapshot: true andQuit: true.
